\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Spatial Sorting

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules
Spatial Sorting Reference

##

Christophe Delage and Olivier Devillers
This package provides functions for sorting geometric objects in two, three and higher dimensions, including on a sphere, in order to improve efficiency of incremental geometric algorithms.

Introduced in: CGAL 3.3
BibTeX: cgal:dd-ss-16a
License: LGPL

## Classified Reference Pages

## Functions

- `CGAL::spatial_sort()`
- `CGAL::spatial_sort_on_sphere()`
- `CGAL::hilbert_sort()`
- `CGAL::hilbert_sort_on_sphere()`

## Function Objects

- `CGAL::Multiscale_sort<Sort>`
- `CGAL::Hilbert_sort_2<Traits, PolicyTag>`
- `CGAL::Hilbert_sort_3<Traits, PolicyTag>`
- `CGAL::Hilbert_sort_on_sphere_3<Traits, PolicyTag>`
- `CGAL::Hilbert_sort_d<Traits, PolicyTag>`

## Traits classes

- `CGAL::Spatial_sort_traits_adapter_2<Base_traits,PointPropertyMap>`
- `CGAL::Spatial_sort_traits_adapter_3<Base_traits,PointPropertyMap>`
- `CGAL::Spatial_sort_traits_adapter_d<Base_traits,PointPropertyMap>`

## Concepts

- `SpatialSortingTraits_2`
- `SpatialSortingTraits_3`
- `SpatialSortingTraits_d`

## Utilities

- `CGAL::Median`
- `CGAL::Middle`
- `CGAL::Hilbert_policy<Tag>`
- `CGAL::Hilbert_sort_median_policy`
- `CGAL::Hilbert_sort_middle_policy`

## Modules
| Concepts
| Traits Classes
| Utilities
| Functions
| Function Objects